mod cli;
mod config;
mod modrinth;
mod pack;

use clap::Parser;

#[tokio::main]
async fn main() {
    let args = cli::Cli::parse();

    match &args.command {
        cli::Commands::Init => {
            config::Config::init().await;
        }
        cli::Commands::Add { name } => {
            config::Config::add(name).await;
        }
        cli::Commands::Remove => {
            config::Config::remove().await;
        }
        _ => (),
    };
}
